//
//  GraphGrammar.h
//  egg
//
//  Created by Yingfeng Wang on 1/25/15.
//  Copyright (c) 2015 Yingfeng Wang. All rights reserved.
//

#ifndef __egg__GraphGrammar__
#define __egg__GraphGrammar__

#include <stdio.h>

#include "Production.h"

using namespace std;

class GraphGrammar
{
public:
    GraphGrammar();
    GraphGrammar(const GraphGrammar &oriGraphGrammar);//copy oriGraphGrammar
    ~GraphGrammar();
    
    void AddAnnotation(const string & sNewAnnotation);//add annotation of some last step edges
    vector <Production *> vpProductions; //set of pointer of productions
    
};

#endif /* defined(__egg__GraphGrammar__) */
