//
//  ReadGrammar.h
//  egg
//
//  Created by Yingfeng Wang on 12/26/14.
//  Copyright (c) 2014 Yingfeng Wang. All rights reserved.
//

#ifndef __egg__ReadGrammar__
#define __egg__ReadGrammar__

#include <stdio.h>
#include "Production.h"
#include "ReadGML.h"
#include "GraphGrammar.h"

using namespace std;

class ReadGrammar: public ReadGML
{
    
    //parse a vector of strings of a production
    void ParseProduction(vector <string> & vsProduction, GraphGrammar & currentGraphGrammar);
    // extract production info
    void ExtractProductionInfo(Production * curProduction, const vector< pair<string, string> > & vpssProductionContent);
    
public:
    ReadGrammar();
    //parse the file containing the graph grammar
    void ParseGrammarFile(string sGrammarFilePath, GraphGrammar & graphGrammar);
    // parse the whole grammar into productions
    void ParseGrammar(ifstream & currentGrammarFile_stream, GraphGrammar & currentGraphGrammar);
};

#endif /* defined(__egg__ReadGrammar__) */
