//
//  RegularGraph.h
//  egg
//
//  Created by Yingfeng Wang on 1/25/15.
//  Copyright (c) 2015 Yingfeng Wang. All rights reserved.
//

#ifndef __egg__RegularGraph__
#define __egg__RegularGraph__

#include <stdio.h>

#include "GML.h"

class RegularGraph
{
public:
    vector<GML *> vpSubgraphs; // vector of pointers of subgraphs
    string sGraphId; // Regular Graph ID
    map<string, string> mRegularGraphInfo; //map of other information
    
    RegularGraph();
    ~RegularGraph();
    void clear();
    
};

#endif /* defined(__egg__RegularGraph__) */
